Package org.eclipse.ui.navigator

## Interface ICommonViewerWorkbenchSite

All Superinterfaces:
  `IAdaptable`, `ICommonViewerSite`

    public interface ICommonViewerWorkbenchSite
    extends ICommonViewerSite

Provides a page, set of action bars, menu registration callback, and active window.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IActionBars` `getActionBars()` Returns the action bars for this page site.
`IWorkbenchPage` `getPage()` Returns the page corresponding to this viewer site.
`IWorkbenchPart` `getPart()`
`IWorkbenchPartSite` `getSite()`
`IWorkbenchWindow` `getWorkbenchWindow()`
`void` `registerContextMenu​(String menuId, MenuManager menuManager, ISelectionProvider selectionProvider)` Registers a pop-up menu with a particular id for extension.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ui.navigator.ICommonViewerSite

`getId, getSelectionProvider, getShell, setSelectionProvider`

### Method Detail

#### getPage

    IWorkbenchPage getPage()

Returns the page corresponding to this viewer site.

Returns:
  the page corresponding to this viewer site

#### registerContextMenu

    void registerContextMenu​(String menuId,
                             MenuManager menuManager,
                             ISelectionProvider selectionProvider)

Registers a pop-up menu with a particular id for extension.

Within the workbench one plug-in may extend the pop-up menus for a view or editor within another plug-in. In order to be eligible for extension, the menu must be registered by calling `registerContextMenu`. Once this has been done the workbench will automatically insert any action extensions which exist.

A unique menu id must be provided for each registered menu. This id should be published in the Javadoc for the page.

Any pop-up menu which is registered with the workbench should also define a `GroupMarker` in the registered menu with id `IWorkbenchActionConstants.MB_ADDITIONS`. Other plug-ins will use this group as a reference point for insertion. The marker should be defined at an appropriate location within the menu for insertion.

Parameters:
  `menuId` - the menu id
  `menuManager` - the menu manager
  `selectionProvider` - the selection provider

#### getActionBars

    IActionBars getActionBars()

Returns the action bars for this page site. Pages have exclusive use of their site's action bars.

Returns:
  the action bars

#### getWorkbenchWindow

    IWorkbenchWindow getWorkbenchWindow()

Returns:
  A workbench window corresponding to the container of the `CommonViewer`

#### getPart

    IWorkbenchPart getPart()

Returns:
  the IWorkbenchPart that this site is embedded within.

#### getSite

    IWorkbenchPartSite getSite()

Returns:
  the IWorkbenchPartSite that this site is embedded within.